% DELCOMCO: Deterministic Parameter delta COMpensator COst.
%
%          [sigp,sigs,ko,lo]=delcomco(p,g,c,q,r,v,w,mc,me,st,sh,pt,ph,delta,dt)
%
%          L.G. Van Willigenburg, W.L. De Koning, 28-11-95.
%
  function [sigp,sigs,ko,lo]=delcomco(p,g,c,q,r,v,w,mc,me,st,sh,pt,ph,delta,dt)

  wp=w+delta*c*pt*c'            ; rs=r+delta*g'*st*g;
  iwp=pinv(wp)                  ; irs=pinv(rs);
%  ko=(eye(nx)+delta*p)*pt*c'    ; lo=g'*st*(eye(nx)+delta*p);
  ko=pt*c'+delta*p*pt*c'        ; lo=g'*st+delta*g'*st*p;
  ko=ko*iwp                     ; lo=irs*lo;

  delta=max(delta,dt);
  sigs=delta*trace(v*st+(v+ko *w*ko'-2*me*ko')*sh);
  sigp=delta*trace(q*pt+(q+lo'*r*lo -2*mc*lo )*ph);
