% DELFUTV:  Function specifying a reduced order finite horizon
%          time varying discrete-time LQG problem.
%
%          function [p,g,c,v,w,q,r,mc,me,nc,H,x0c,N,x0m,delta,dt]=delfutv(i)
%
%          L.G. Van Willigenburg, W.L. De Koning, 28-11-95.
%
  function [p,g,c,v,w,q,r,mc,me,nc,H,x0c,N,x0m,delta,dt]=delfutv(i)

  global p_ g_ c_ v_ w_ q_ r_ nc_ H_ x0c_ N_ x0m_ delta_ dt_

  p=p_; g=g_; c=c_; v=v_; w=w_; q=q_; r=r_;
  nc=nc_; H=H_; x0c=x0c_; N=N_; x0m=x0m_;
  [mc]=zeros(size(g)); me=zeros(size(c'));

  delta=delta_; dt=dt_;
