% DELROEQE:one iteartion of the Deterministic Parameter
%          Reduced-Order LQG Estimator EQuation.
%          Estimation equations of compensator
%          for (P,G,C) and nc=<nx.
%
%          [pt,ph]=delroeqe(p,g,c,v,w,q,r,st,sh,pt,ph,ta,delta,dt,ap);
%
%          W.L. De Koning, L.G. Van Willigenburg, 28-11-95.

  function [pt,ph]=delroeqe(p,g,c,v,w,q,r,mc,me,st,sh,pt,ph,ta,delta,dt,ap);

  [nx,nu]=size(g);
%
% full order equations
%
  wp=w+delta*c*pt*c'            ; rs=r+delta*g'*st*g;
  iwp=pinv(wp)                  ; irs=pinv(rs);
%  kh=(eye(nx)+delta*p)*pt*c'    ; lh=g'*st*(eye(nx)+delta*p);
  kh=me+pt*c'+delta*p*pt*c'     ; lh=g'*st+delta*g'*st*p+mc';
  s1p=kh*iwp*kh'                ; p2s=p-g*irs*lh;
  php2s=ph*p2s'                 ; ppt=p*pt;

  psi1=delta*p2s *ph*p2s'+s1p+php2s+php2s';

% computation tao
  tao=eye(nx)-ta;

% increments pt,ph
  dph=psi1; dpt=delta*p *pt*p'-s1p+v+ppt+ppt'+tao*psi1*tao';

% new pt,ph and reduced-order adaptation
  delta=max(delta,dt);
  pt=delta*dpt+pt+tao*ph*tao'; pt=0.5*(pt+pt');
  ph=delta*dph+ph; ph=ph*ta' ; ph=0.5*(ph+ph');
