% DPCOMCO: Deterministic Parameter COMpensator COst.
%
%          [sigp,sigs,ko,lo]=dpcomco(p,g,c,q,r,v,w,mc,me,st,sh,pt,ph)
%
%          L.G. Van Willigenburg, W.L. De Koning, 28-11-95.
%
  function [sigp,sigs,ko,lo]=dpcomco(p,g,c,q,r,v,w,mc,me,st,sh,pt,ph,a)

  if nargin==13; a=1; end;
  
  if a==0

    if min(size(r))~=0
      rs=r+g'*st*g; lo=pinv(rs)*(g'*st*p+mc');
      sigs=trace(v*st+lo'*(r+g'*st*g)*lo*pt); sigp=sigs;
    else
      sigs=trace(v*st); sigp=sigs; lo=[];
    end
    if min(size(w))~=0
      wp=w+c*pt*c'; ko=(me+p*pt*c')*pinv(wp);
    else
      ko=[];
    end
    
  else
  
    if min(size(w))~=0
      wp=w+c*pt*c'; ko=(me+p*pt*c')*pinv(wp);
      sigs=trace(v*st+(v+ko *w*ko'-2*me*ko')*sh);
    else
       sigs=trace(v*st+v*sh); ko=[];
    end
    if min(size(r))~=0
      rs=r+g'*st*g; lo=pinv(rs)*(g'*st*p+mc');
      sigp=trace(q*pt+(q+lo'*r*lo -2*mc*lo )*ph);
    else
      sigp=trace(q*pt+q*ph); lo=[];
    end
    
  end