%  Example 3 in : L.G. van Willigenburg, W.L. De Koning, 2000,
%  "Finite and infinite horizon fixed-order LQG compensation
%  using the delta operator", Proceedings UKACC International
%  Conference on Control 2000, 4-7 September, Cambridge, UK,
%  (paper002.pdf)
%
%  GvW/WdK

clear all ; close all; clc;

rand('seed',0); randn('seed',0);
delta=0; nc=1; seed=10;
[p,g,c,v,w,q,r]=crlqg(2,1,1,0.25,seed); p=p';
[fc,kc,lc,sigpc,sigsc,spr,ptc,stc,sigcc]=dpcfotin(p,g,c,v,w,q,r);
[fd,kd,ld,sigpd,sigsd,sprd,ptd,std,sigcd]=delfotin(p,g,c,v,w,q,r,delta);
opt=[]; opt(1)=1e-8; opt(4)=50; opt(3)=2.5e4; %opt(8)=5e-3;
[f,k,l,sigp,sigs,spr,pt,st,ph,sh,sigc]=delrotin(p,g,c,v,w,q,r,delta,nc,opt);

d=0; [f,k,l,d]=canon(f,k,l,d,'companion');
[fc,kc,lc]=canon(fc,kc,lc,d,'companion');
[fd,kd,ld]=canon(fd,kd,ld,d,'companion');

disp(' Costs full-order continuous-time LQG algorithm, 3 expressions:');
disp([sigcc, sigpc,sigsc])
disp(' Costs full-order delta-domain LQG algorithm, 3 expressions:');
disp([sigcd, sigpd,sigsd])
disp(' Costs reduced-order delta-domain LQG algorithm, 3 expressions:');
disp([sigc, sigp,sigs])
