%  Example 4 in : L.G. van Willigenburg, W.L. De Koning, 2000,
%  "Finite and infinite horizon fixed-order LQG compensation
%  using the delta operator", Proceedings UKACC International
%  Conference on Control 2000, 4-7 September, Cambridge, UK,
%  (paper002.pdf)
%
%  GvW/WdK

  clear all ; close all; clc;
  
  global p_ g_ c_ v_ w_ q_ r_ nc_ H_ x0c_ N_ x0m_ delta_ dt_

  sigpt=[]; sigst=[]; Nt=[]; k=1; ks=9;
  while k<=ks
    disp([' Compensator computation ' num2str(k) ' from ' num2str(ks)]);
    tf=1; N_=2^k; dt_=tf/N_; delta_=dt_; nc_=1; seed=10;
    [p_,g_,c_,v_,w_,q_,r_]=crlqg(2,1,1,0.25,seed); p_=p_';
    H_=diag([0.1 0.1]); x0c_=H_; x0m_=[1;1];    
    opt=[]; opt(1)=1e-7; opt(4)=20;
    [xfkld,sigpd,sigsd,pttd,sttd,phtd,shtd,trpsd]=delrotv('delfutv',opt);
    Nt=[Nt; N_]; sigpt=[sigpt; sigpd]; sigst=[sigst; sigsd];
    disp('    1/T       sigp      sigs');
    disp([Nt sigpt sigst]); k=k+1;
  end
  Fart=Nt; sigpart=sigpt;
  save ukaccf2.mat
  plot(Nt(3:end),sigpt(3:end)); xlabel('F'); ylabel('Costs');
  title('Costs versus ''Euler frequency'' F = 1/Delta');