% GGINV: Group generalized inverse of matrix psd
%
%        [ggipsd]=gginv(psd,r,tol)
%
% Optional inputs:
%        r  : Number of singular values used in computation
%             pseudo inverse
%        tol: tolerance for computation pseudo inverse
%         
%        See also gmhfac
%
%        L.G. Van Willigenburg, W.L. De Koning, 28-11-95.
%
  function [ggipsd]=gginv(psd,r,tol)

  psd3=psd*psd*psd;
  if nargin==3
    ggipsd=psd*pinvf(psd3,r,tol)*psd;
  elseif nargin==2
    ggipsd=psd*pinvf(psd3,r)*psd;
  else
    ggipsd=psd*pinvf(psd3)*psd;
  end;


