% Examples 1-4 in : L.G. van Willigenburg, W.L. De Koning, 2000,
% "Finite and infinite horizon fixed-order LQG compensation
% using the delta operator", Proceedings UKACC,
% International Conference on Control 2000, 4-7 September,
% Cambridge, UK, (paper002.pdf)
%
% http://www.sco.wur.nl/NR/rdonlyres/B575A290-A91F-4FB6-8A0C-AB7E4678BAC6/71313/ukacc00upd.pdf
%
% GvW/WdK
%
% Example 1: ex1.m
% Example 2: ex2.m
% Example 3: ex3.m
% Example 4: ex4.m
%
% Main files used in the examples
%
% DPROTIN: Discrete-time Deterministic Parameter Reduced-Order Time-Invariant iNfinite horizon LQG compensation.
%          Optimal compensation of (P,G,C,V,W) based on (Q,R) and nc<=nx.
%          (P,G,C) deterministic.
%
% DPCFOTIN: Continuous-time Deterministic Parameter Full-Order Time Invariant
%           iNfinite horizon LQG compensation.
%           Optimal compensation of (P,G,C,V,W) based on (Q,R) nc=nx.
%           (P,G,C) deterministic.
%
% DPROTV: Discrete-time Deterministic Parameter Reduced Order Time Varying LQG compensation.
%         Optimal compensation of (P(i),G(i),C(i),V(i),W(i),x0m,x0c) based on
%         (Q(i),R(i),H) and nc<=nx.
%         (P(i),G(i),C(i)) deterministic.
%          Time shift i=0,1,..,N -> i=1,2,..,N+1
%
% DELROTIN: Delta Deterministic Parameter Reduced-Order Time-Invariant iNfinite horizon LQG
%           compensation. Optimal compensation of (Pd,Gd,Cd,Vd,Wd) based on (Qd,Rd) and nc<=nx.
%           (Pd,Gd,Cd) deterministic.
%
% DELFOTIN: Deterministic Parameter Continuous Full-Order Time Invariant
%           iNfinite horizon delta LQG compensation.
%           Optimal compensation of (P,G,C,V,W) based on (Q,R) nc=nx.
%           (P,G,C) deterministic.
%
% DELROTV: Delta Deterministic Parameter Reduced Order Time Varying LQG compensation.
%          Optimal compensation of (P(i),G(i),C(i),V(i),W(i),x0m,x0c) based on
%          (Q(i),R(i),H) and nc<=nx.
%          (P(i),G(i),C(i)) deterministic.
%
